package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.YCSQMapper;
import com.sa.ibiz.demo.demo.domain.YCSQ;
import com.sa.ibiz.demo.demo.service.YCSQService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.YCSQSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[YCSQ] 服务对象接口实现
 */
@Service
public class YCSQServiceImpl extends ServiceImplBase<YCSQMapper, YCSQ> implements YCSQService{


    @Resource
    private YCSQMapper ycsqMapper;


    @Override
    public boolean create(YCSQ et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(YCSQ et){
        this.beforeUpdate(et);
		this.ycsqMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(YCSQ et){
		return et.getYcsqid();  
    }

    @Override
    public boolean getDraft(YCSQ et)  {
            return true;
    }

	public List<YCSQ> listDefault(YCSQSearchFilter filter) {
		return ycsqMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<YCSQ> searchDefault(YCSQSearchFilter filter) {
		return ycsqMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return ycsqMapper.selectRow(sql);
    }

 }